package com.muyu.enterprise.controller;

import com.muyu.domain.VehicleType;
import com.muyu.enterprise.service.VehicleTypeService;
import com.muyu.common.core.domain.Result;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Author: LiDongJia
 * @Package: com.muyu.car.controller
 * @Project: 2112-car-cloud-server
 * @name: VehicleTypeController
 * @Date: 2024/9/17  17:08
 * @Description: 车辆类型实体类
 */
@Log4j2
@RestController
@RequestMapping("/vehicleType")
@Tag(name = "车辆类型控制层", description = "车辆类型控制层")
public class VehicleTypeController {

    @Autowired
    private VehicleTypeService vehicleTypeService;

    /**
     * 查询所有车辆类型
     * @return
     */
    @RequestMapping(path = "/", method = RequestMethod.POST)
    @Operation(summary = "车辆类型列表",description = "车辆类型列表")
    public Result<List<VehicleType>> findAll(){
        return Result.success(vehicleTypeService.list());
    }
}
